package com.style24.batch.biz.job.goods;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import com.style24.batch.biz.job.TsbAbstractJob;
import com.style24.batch.biz.service.TsbGoodsService;
import com.style24.persistence.domain.Goods;

import lombok.extern.slf4j.Slf4j;

import com.gagaframework.web.util.GagaDateUtil;

/**
 * 연관상품보기 스코어링 작업 - 일배치
 *
 * @author eskim
 * @since 2020. 12. 03
 */
@Component
@Slf4j
public class TsbGoodsRelateScoreJob extends TsbAbstractJob<Goods, Goods, Goods> {

	@Autowired
	private TsbGoodsService goodsService;

	private int succCnt = 0;
	private int failCnt = 0;
	private String workDate = "";
	private String work7agoDate = "";

	@Override
	public Goods read() throws Exception {

		//작업일
		workDate = GagaDateUtil.getOffsetDate(-1, "yyyyMMdd");
		work7agoDate = GagaDateUtil.getOffsetDate(-7, "yyyyMMdd");

		Goods goods = new Goods();
		return goods;
	}

	@Override
	public Goods process(Goods goods) throws Exception {
		return goods;
	}

	@Override
	public Goods write(Goods goods) throws Exception {

		goodsService.createGoodsRelateScore(workDate, work7agoDate);
		return goods;
	}

	@Override
	public void notify(Goods goods) throws Exception {
		super.printResult(succCnt, failCnt);
	}

}
